#
# Conditional build:
%bcond_without	evolution	# Evolution calendar integration
%bcond_without	gtkspell	# GtkSpell spell checking

Summary:	Almanah Diary - keep a personal diary
Summary(pl.UTF-8):	Almanah Diary - osobisty pamiętnik
Name:		almanah
Version:	0.12.3
Release:	5
License:	GPL v3+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/almanah/0.12/%{name}-%{version}.tar.xz
# Source0-md5:	b4d6023342f49e23435e06fd54d7fa4c
Patch0:		%{name}-meson.patch
URL:		https://wiki.gnome.org/Apps/Almanah_Diary
BuildRequires:	appstream-glib
BuildRequires:	atk-devel
BuildRequires:	cairo-devel
%{?with_evolution:BuildRequires:	evolution-data-server-devel >= 3.33.2}
BuildRequires:	gettext-tools
BuildRequires:	gcr-devel >= 3
BuildRequires:	glib2-devel >= 1:2.32
BuildRequires:	gpgme-devel >= 1.0.0
BuildRequires:	gtk+3-devel >= 3.15
BuildRequires:	gtksourceview3-devel >= 3.0
%{?with_gtkspell:BuildRequires:	gtkspell3-devel >= 3.0}
BuildRequires:	libcryptui-devel
BuildRequires:	meson >= 0.51
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sqlite3-devel >= 3
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.32
%{?with_evolution:Requires:	evolution-data-server >= 3.33.2}
Requires:	glib2 >= 1:2.32
Requires:	gpgme >= 1.0.0
Requires:	gtk+3 >= 3.15
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Almanah is a small GTK+ application to allow you to keep a diary of
your life.

%description -l pl.UTF-8
Almanah to mała aplikacja GTK+ pozwalająca prowadzić własny
pamiętnik.

%prep
%setup -q
%patch0 -p1

%build
%meson build \
	%{!?with_evolution:-Devolution=false} \
	%{!?with_gtkspell:-Dspell_checking=false}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README.md
%attr(755,root,root) %{_bindir}/almanah
%{_datadir}/GConf/gsettings/almanah.convert
%{_datadir}/glib-2.0/schemas/org.gnome.almanah.gschema.xml
%{_datadir}/metainfo/almanah.appdata.xml
%{_desktopdir}/almanah.desktop
%{_iconsdir}/hicolor/*x*/apps/almanah.png
%{_iconsdir}/hicolor/scalable/actions/almanah-tags-symbolic.svg
%{_iconsdir}/hicolor/scalable/apps/almanah-symbolic.svg
%changelog
* Tue Apr 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/almanah.git;a=log;h=master

* Tue Apr 30 2024 Jakub Bogusz <qboosh@pld-linux.org> 3f413d1
- release 5 (e-d-s 3.52.x)

* Tue May 30 2023 Jakub Bogusz <qboosh@pld-linux.org> ae9fd64
- added meson patch, release 4 (evolution 3.46.x)

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 5fc97ca
- rebuild with separate debuginfo build-ids

* Mon Apr 05 2021 Jan Rękorajski <baggins@pld-linux.org> a6eb06e
- release 2 (by relup.sh)

* Fri Mar 05 2021 Jakub Bogusz <qboosh@pld-linux.org> cbc4127
- updated to 0.12.3

* Thu Sep 24 2020 Jakub Bogusz <qboosh@pld-linux.org> c41720a
- release 2 (e-d-s 3.38)

* Thu Sep 03 2020 Jakub Bogusz <qboosh@pld-linux.org> df43bea
- updated to 0.12.2

* Sat Oct 19 2019 Jakub Bogusz <qboosh@pld-linux.org> a024631
- updated to 0.12.0 (support for evolution 3.33+; uses meson now)

* Sat Oct 19 2019 Jan Rękorajski <baggins@pld-linux.org> fac7a25
- release 6 (by relup.sh)

* Sun Apr 21 2019 Jan Rękorajski <baggins@pld-linux.org> 0e6e0a9
- fix files
- rel 5

* Tue Mar 20 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 85afc49
- Release 4

* Fri Sep 29 2017 Marcin Banasiak <marcin.banasiak@gmail.com> da0883d
- release 3 (by relup.sh)

* Sat Oct 15 2016 Jan Rękorajski <baggins@pld-linux.org> 359b704
- release 2 (by relup.sh)

* Wed Feb 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 854bc1f
- initial

